Summary: management of regular background processing
Name: hhl-target-cron
Version: 3.0pl1
Release: %{_hhl_build_id}.4
Source: cron_3.0pl1.orig.tar.gz
Source1: cron.tmpl
Patch0: cron_3.0pl1-69.diff.gz
Patch1: cron-%{version}-make-diff
Patch2: cron-init.d.diff
Patch3: cron-3.0pl1-time_h.patch
Patch5: cron-hhl-daily.patch
License: Other
Group: base
BuildRequires: hhl-%{_hhl_target_arch}-libpam-dev
%define pkgname hhl-%{_hhl_target_arch}-cron
Buildroot: %{_tmppath}/%{pkgname}-root
%define targetroot %{_hhl_cross_target_dir}
Prefix: %{targetroot}

%define _bindir		%{targetroot}%{_hhl_target_bin_dir}
%define _sbindir	%{targetroot}%{_hhl_target_sbin_dir}
%define _etcdir		%{targetroot}%{_hhl_target_sysconf_dir}
%define _libdir		%{targetroot}%{_hhl_target_lib_dir}
%define _datadir	%{targetroot}%{_hhl_target_datadir}
%define _vardir		%{targetroot}%{_hhl_target_localstate_dir}
%define _mandir		%{targetroot}%{_hhl_target_man_dir}
%define _infodir	%{targetroot}%{_hhl_target_info_dir}
%define _docdir		%{targetroot}%{_hhl_target_doc_dir}

%description
cron is a background process (`daemon') that runs programs at regular
intervals (for example, every minute, day, week or month); which
processes are run and at what times are specified in the `crontab'.

Users may also install crontabs so that processes are run on
their behalf, though this feature can be disabled or restricted to
particular users.

Output from the commands is usually mailed to the system administrator
(or to the user in question); you should probably install a mail system
as well so that you can receive these messages.

This cron package is configured by default to do various standard
system maintenance tasks, such as ensuring that logfiles do not
grow endlessly and overflow the disk.

The lockfile-progs package is only a "Suggests" because of the poor
way that dselect handles "Recomments", but I do strongly suggest that
you install it; it prevents /etc/cron.daily/standard from running multiple
times if something gets jammed.

%package -n %{pkgname}
Summary: management of regular background processing
Group: base 
AutoReqProv: no
Requires: hhl-%{_hhl_target_arch}-libpam
%description -n %{pkgname}
cron is a background process (`daemon') that runs programs at regular
intervals (for example, every minute, day, week or month); which
processes are run and at what times are specified in the `crontab'.

Users may also install crontabs so that processes are run on
their behalf, though this feature can be disabled or restricted to
particular users.

Output from the commands is usually mailed to the system administrator
(or to the user in question); you should probably install a mail system
as well so that you can receive these messages.

This cron package is configured by default to do various standard
system maintenance tasks, such as ensuring that logfiles do not
grow endlessly and overflow the disk.

The lockfile-progs package is only a "Suggests" because of the poor
way that dselect handles "Recomments", but I do strongly suggest that
you install it; it prevents /etc/cron.daily/standard from running multiple
times if something gets jammed.

%prep
%target_check
%setup -q -n cron-%{version}.orig
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1

%build
%target_setup
# To remove cron's dependency on PAM, just comment out the following two 
# lines
export PAM_DEFS=-DUSE_PAM
export PAM_LIBS=-lpam

%make OPTIM="-O2 -Wall" DEBUG_DEFS="-DDEBUGGING=0"

%install
%target_setup
rm -rf %{buildroot}

for i in %{_bindir} %{_sbindir} %{_mandir}/man{1,3,5,8} %{_etcdir}/{init,pam}.d\
	%{_etcdir}/cron.{daily,weekly,monthly,d} %{_vardir}/spool/cron/crontabs
do
    install -d %{buildroot}/$i
done

%make install DESTDIR=%{buildroot}%{targetroot} OPTIM="-O2 -Wall" \
	      INSTALL=install INSTALL_FLAGS= DEBUG_DEFS="-DDEBUGGING=0"
install -m 755 debian/checksecurity %{buildroot}%{_sbindir}/.
install -m 644 debian/checksecurity.conf %{buildroot}%{_etcdir}/.
install -m 644 debian/crontab.main %{buildroot}%{_etcdir}/crontab
install -m 755 debian/standard.daily %{buildroot}%{_etcdir}/cron.daily/standard
install -m 755 debian/standard.monthly \
	       %{buildroot}/%{_etcdir}/cron.monthly/standard
install -m 644 crontab.1 %{buildroot}%{_mandir}/man1/crontab.1
install -m 644 crontab.5 %{buildroot}%{_mandir}/man5/crontab.5
install -m 644 cron.8 %{buildroot}%{_mandir}/man8/cron.8
install -m 644 bitstring.3 %{buildroot}%{_mandir}/man3/bitstring.3

install -m 755 debian/cron.init %{buildroot}%{_etcdir}/init.d/cron
install -m 644 debian/cron.pam %{buildroot}%{_etcdir}/pam.d/cron

gzip -9f %{buildroot}%{_mandir}/man*/*

cp README LICENSE


install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/cron

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{_bindir}/crontab
%{_sbindir}/checksecurity
%{_sbindir}/cron
%{_mandir}/man*/*

%dir %{_etcdir}/cron.d
%dir %{_etcdir}/cron.weekly
%dir %{_vardir}/spool/cron/crontabs

%config %{_etcdir}/crontab
%config %{_etcdir}/cron.daily/standard
%config %{_etcdir}/cron.monthly/standard
%config %{_etcdir}/init.d/cron
%config %{_etcdir}/pam.d/cron
%config %{_etcdir}/checksecurity.conf

%doc README FEATURES THANKS debian/README.anacron
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/cron

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Wed Feb 21 2001 Matthew McLean <source@mvista.com>
- First cut
